RubyGems Navigation menu

rubocop 0.25.0

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 1.63.5 - May 09, 2024 (623 KB)
  2. 1.63.4 - April 28, 2024 (623 KB)
  3. 1.63.3 - April 22, 2024 (623 KB)
  4. 1.63.2 - April 16, 2024 (623 KB)
  5. 1.63.1 - April 10, 2024 (623 KB)
  6. 0.25.0 - August 15, 2014 (277 KB)
Show all versions (271 total)

Runtime Dependencies (4):

parser < 3.0, >= 2.2.0.pre.4
powerpack ~> 0.0.6
rainbow < 3.0, >= 1.99.1

Development Dependencies (5):

bundler ~> 1.3
rake ~> 10.1
rspec ~> 3.0
simplecov ~> 0.7
yard ~> 0.8

Owners:

Authors:

  • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

SHA 256 checksum:

8ec2267e73031a0056e3cda5332d81774c3102acb8afb0ec5131f28de26dd662

Total downloads 420,793,190

For this version 84,691

License:

MIT

Required Ruby Version: >= 1.9.3

New versions require MFA: true

Links: